Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.event
Enum GroupEventDispatcher.EventType

    java.lang.Object
      java.lang.Enum<GroupEventDispatcher.EventType>
          org.jivesoftware.openfire.event.GroupEventDispatcher.EventType

All Implemented Interfaces:
  Serializable, Comparable<GroupEventDispatcher.EventType>

Enclosing class:
  GroupEventDispatcher

    public static enum GroupEventDispatcher.EventType

extends Enum<GroupEventDispatcher.EventType>

Represents valid event types.

Enum Constant Summary
`admin_added` An administrator was added to a group.
`admin_removed` An administrator was removed from a group.
`group_created` A new group was created.
`group_deleting` A group is about to be deleted.
`group_modified` The name, description, or extended property of a group was changed.
`member_added` A member was added to a group.
`member_removed` A member was removed from a group.

Method Summary
`static GroupEventDispatcher.EventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GroupEventDispatcher.EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### group_created

    public static final GroupEventDispatcher.EventType group_created

  A new group was created.

### group_deleting

    public static final GroupEventDispatcher.EventType group_deleting

  A group is about to be deleted. Note that this event is fired before a group is actually deleted. This allows for referential cleanup before the group is gone.

### group_modified

    public static final GroupEventDispatcher.EventType group_modified

  The name, description, or extended property of a group was changed.

### member_added

    public static final GroupEventDispatcher.EventType member_added

  A member was added to a group.

### member_removed

    public static final GroupEventDispatcher.EventType member_removed

  A member was removed from a group.

### admin_added

    public static final GroupEventDispatcher.EventType admin_added

  An administrator was added to a group.

### admin_removed

    public static final GroupEventDispatcher.EventType admin_removed

  An administrator was removed from a group.

Method Detail

### values

    public static final GroupEventDispatcher.EventType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(GroupEventDispatcher.EventType c : GroupEventDispatcher.EventType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static GroupEventDispatcher.EventType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.